---
title: "FreeBSD/alpha 4.10-RELEASE Release Notes"
sidenav: download
---

++++


<h3 class="CORPAUTHOR">The FreeBSD Project</h3>

<p class="COPYRIGHT">Copyright &copy; 2000, 2001, 2002, 2003, 2004 The FreeBSD
Documentation Project</p>

<p class="PUBDATE">$FreeBSD: src/release/doc/en_US.ISO8859-1/relnotes/common/new.sgml,v
1.22.2.410.2.3 2004/05/22 00:22:41 hrs Exp $<br />
</p>

<div>
<div class="ABSTRACT"><a id="AEN13" name="AEN13"></a>
<p>The release notes for FreeBSD 4.10-RELEASE contain a summary of the changes made to
the FreeBSD base system since 4.9-RELEASE. Both changes for kernel and userland are
listed, as well as applicable security advisories for the base system that were issued
since the last release. Some brief remarks on upgrading are also presented.</p>
</div>
</div>

<hr />
</div>

<div class="TOC">
<dl>
<dt><b>Table of Contents</b></dt>

<dt>1 <a href="#INTRO">Introduction</a></dt>

<dt>2 <a href="#NEW">What's New</a></dt>

<dd>
<dl>
<dt>2.1 <a href="#SECURITY">Security Advisories</a></dt>

<dt>2.2 <a href="#KERNEL">Kernel Changes</a></dt>

<dd>
<dl>
<dt>2.2.1 <a href="#PROC">Platform-Specific Hardware Support</a></dt>

<dt>2.2.2 <a href="#BOOT">Boot Loader Changes</a></dt>

<dt>2.2.3 <a href="#NET-IF">Network Interface Support</a></dt>

<dt>2.2.4 <a href="#NET-PROTO">Network Protocols</a></dt>

<dt>2.2.5 <a href="#DISKS">Disks and Storage</a></dt>

<dt>2.2.6 <a href="#FS">File Systems</a></dt>

<dt>2.2.7 <a href="#PCCARD">PCCARD Support</a></dt>

<dt>2.2.8 <a href="#MM">Multimedia Support</a></dt>
</dl>
</dd>

<dt>2.3 <a href="#USERLAND">Userland Changes</a></dt>

<dt>2.4 <a href="#CONTRIB">Contributed Software</a></dt>

<dt>2.5 <a href="#PORTS">Ports/Packages Collection Infrastructure</a></dt>

<dt>2.6 <a href="#RELENG">Release Engineering and Integration</a></dt>
</dl>
</dd>

<dt>3 <a href="#UPGRADE">Upgrading from previous releases of FreeBSD</a></dt>
</dl>
</div>

<div class="SECT1">
<h2 class="SECT1"><a id="INTRO" name="INTRO">1 Introduction</a></h2>

<p>This document contains the release notes for FreeBSD 4.10-RELEASE on the Alpha/AXP
hardware platform. It describes new features of FreeBSD that have been added (or changed)
since 4.9-RELEASE. It also provides some notes on upgrading from previous versions of
FreeBSD.</p>

<p>This distribution of FreeBSD 4.10-RELEASE is a release distribution. It can be found
at <a href="ftp://ftp.FreeBSD.org/" target="_top">ftp://ftp.FreeBSD.org/</a> or any of
its mirrors. More information on obtaining this (or other) release distributions of
FreeBSD can be found in the <a
href="http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/mirrors.html"
target="_top">``Obtaining FreeBSD''</a> appendix in the <a
href="http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/" target="_top">FreeBSD
Handbook</a>.</p>

<p>For significant information discovered after the release or last-minute changes in the
release cycle to be otherwise included in the release documentation, please read <a
href="http://www.FreeBSD.org/releases/4.10R/errata.html" target="_top">Errata</a>
document.</p>
</div>

<div class="SECT1">
<hr />
<h2 class="SECT1"><a id="NEW" name="NEW">2 What's New</a></h2>

<p>This section describes the most user-visible new or changed features in FreeBSD since
4.9-RELEASE. Typical release note items document new drivers or hardware support, new
commands or options, major bugfixes, or contributed software upgrades. Security
advisories for the base system that were issued after 4.9-RELEASE are also listed.</p>

<div class="SECT2">
<hr />
<h3 class="SECT2"><a id="SECURITY" name="SECURITY">2.1 Security Advisories</a></h3>

<p>A potential denial of service in <b class="APPLICATION">BIND</b> has been fixed. For
more information, see security advisory <a
href="ftp://ftp.FreeBSD.org/pub/FreeBSD/CERT/advisories/FreeBSD-SA-03:19.bind.asc"
target="_top">FreeBSD-SA-03:19</a>.</p>

<p>A bug with the System V Shared Memory interface (specifically the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=shmat&sektion=2&manpath=FreeBSD+4.10-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">shmat</span>(2)</span></a> system
call) has been fixed. This bug can cause a shared memory segment to reference unallocated
kernel memory. In turn, this can permit a local attacker to gain unauthorized access to
parts of kernel memory, possibly resulting in disclosure of sensitive information, bypass
of access control mechanisms, or privilege escalation. More details can be found in
security advisory <a
href="ftp://ftp.FreeBSD.org/pub/FreeBSD/CERT/advisories/FreeBSD-SA-04:02.shmat.asc"
target="_top">FreeBSD-SA-04:02</a>.</p>

<p>A potential low-bandwidth denial-of-service attack against the FreeBSD TCP stack has
been prevented by limiting the number of out-of-sequence TCP segments that can be held at
one time. More details can be found in security advisory <a
href="ftp://ftp.FreeBSD.org/pub/FreeBSD/CERT/advisories/FreeBSD-SA-04:04.tcp.asc"
target="_top">FreeBSD-SA-04:04</a>.</p>

<p>A bug in <b class="APPLICATION">OpenSSL</b>'s SSL/TLS ChangeCipherSpec message
processing could result in a null pointer dereference, has been fixed. This could allow a
remote attacker to crash an <b class="APPLICATION">OpenSSL</b>-using application and
cause a denial-of-service on the system. More details can be found in security advisory
<a href="ftp://ftp.FreeBSD.org/pub/FreeBSD/CERT/advisories/FreeBSD-SA-04:05.openssl.asc"
target="_top">FreeBSD-SA-04:05</a>.</p>

<p>Two programming errors in <b class="APPLICATION">CVS</b> have been fixed. They allow a
server to overwrite arbitrary files on the client, and a client to read arbitrary files
on the server when accessing remote CVS repositories. More details can be found in
security advisory <a
href="ftp://ftp.FreeBSD.org/pub/FreeBSD/CERT/advisories/FreeBSD-SA-04:07.cvs.asc"
target="_top">FreeBSD-SA-04:07</a>.</p>

<p>A bugfix for <b class="APPLICATION">Heimdal</b> rectifies a problem in which it would
not perform adequate checking of authentication across autonomous realms. For more
information, see security advisory <a
href="ftp://ftp.FreeBSD.org/pub/FreeBSD/CERT/advisories/FreeBSD-SA-04:08.heimdal.asc"
target="_top">FreeBSD-SA-04:08</a>.</p>

<p>A fix in <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=kadmind&sektion=8&manpath=FreeBSD+4.10-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">kadmind</span>(8)</span></a>
closes a potential buffer overflow. Details can be found in security advisory <a
href="ftp://ftp.FreeBSD.org/pub/FreeBSD/CERT/advisories/FreeBSD-SA-04:09.kadmind.asc"
target="_top">FreeBSD-SA-04:09</a>.</p>
</div>

<div class="SECT2">
<hr />
<h3 class="SECT2"><a id="KERNEL" name="KERNEL">2.2 Kernel Changes</a></h3>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=dcons&sektion=4&manpath=FreeBSD+4.10-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">dcons</span>(4)</span></a> ``dumb
console'' driver has been added to provide a local and remote console. It can be accessed
over FireWire using the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=dcons_crom&sektion=4&manpath=FreeBSD+4.10-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">dcons_crom</span>(4)</span></a>
driver. A <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=dconschat&sektion=8&manpath=FreeBSD+4.10-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">dconschat</span>(8)</span></a>
utility provides user access to <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=dcons&sektion=4&manpath=FreeBSD+4.10-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">dcons</span>(4)</span></a>
devices.</p>

<p>A bug in <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=mmap&sektion=2&manpath=FreeBSD+4.10-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">mmap</span>(2)</span></a> that
pages marked as <var class="LITERAL">PROT_NONE</var> may become readable under certain
circumstances, has been fixed.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=stl&sektion=4&manpath=FreeBSD+4.10-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">stl</span>(4)</span></a> driver
has been updated to version 5.6.0b1.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=umct&sektion=4&manpath=FreeBSD+4.10-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">umct</span>(4)</span></a> driver,
which provides support for USB to RS-232 converters based on the Magic Control Technology
USB-232 has been added.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=usb&sektion=4&manpath=FreeBSD+4.10-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">usb</span>(4)</span></a> support
has been improved, which includes a lot of bug fixes and early support for some USB2
devices.</p>

<div class="NOTE">
<blockquote class="NOTE">
<p><b>Note:</b> <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=umodem&sektion=4&manpath=FreeBSD+4.10-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">umodem</span>(4)</span></a> now
uses <tt class="FILENAME">/dev/ucom*</tt> instead of <tt
class="FILENAME">/dev/umodem*</tt> device nodes.</p>
</blockquote>
</div>

<br />
<br />
<div class="SECT3">
<hr />
<h4 class="SECT3"><a id="PROC" name="PROC">2.2.1 Platform-Specific Hardware
Support</a></h4>
</div>

<div class="SECT3">
<hr />
<h4 class="SECT3"><a id="BOOT" name="BOOT">2.2.2 Boot Loader Changes</a></h4>
</div>

<div class="SECT3">
<hr />
<h4 class="SECT3"><a id="NET-IF" name="NET-IF">2.2.3 Network Interface Support</a></h4>

<p>A short hiccup in the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=em&sektion=4&manpath=FreeBSD+4.10-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">em</span>(4)</span></a> during
parameter reconfiguration, has been fixed.</p>

<p>A bug, which prevents VLAN support in the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=nge&sektion=4&manpath=FreeBSD+4.10-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">nge</span>(4)</span></a> driver
from working has been fixed.</p>

<p>Several bugs related to <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=polling&sektion=4&manpath=FreeBSD+4.10-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">polling</span>(4)</span></a>
support in the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=rl&sektion=4&manpath=FreeBSD+4.10-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">rl</span>(4)</span></a> driver
have been fixed.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ste&sektion=4&manpath=FreeBSD+4.10-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ste</span>(4)</span></a> driver
now supports <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=polling&sektion=4&manpath=FreeBSD+4.10-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">polling</span>(4)</span></a>.</p>

<p>The hardware TX checksum support of the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=xl&sektion=4&manpath=FreeBSD+4.10-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">xl</span>(4)</span></a> driver has
been disabled as it does not work correctly and slows down the transmission rate.</p>
</div>

<div class="SECT3">
<hr />
<h4 class="SECT3"><a id="NET-PROTO" name="NET-PROTO">2.2.4 Network Protocols</a></h4>

<p>The <var class="LITERAL">DA_OLD_QUIRKS</var> kernel option, which is for the CAM SCSI
disk driver (<a
href="http://www.FreeBSD.org/cgi/man.cgi?query=cam&sektion=4&manpath=FreeBSD+4.10-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">cam</span>(4)</span></a>) has been
removed.</p>

<p>The TCP implementation now includes partial (output-only) support for RFC 2385
(TCP-MD5) digest support. This feature, enabled with the <var
class="LITERAL">TCP_SIGNATURE</var> and <var class="LITERAL">FAST_IPSEC</var> kernel
options, is a TCP option for authenticating TCP sessions. <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=setkey&sektion=8&manpath=FreeBSD+4.10-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">setkey</span>(8)</span></a> now
includes support for the TCP-MD5 class of security associations.</p>

<p>The random ephemeral port allocation, which come from OpenBSD has been implemented.
This is enabled by default and can be disabled using the <var
class="VARNAME">net.inet.ip.portrange.randomized</var> sysctl.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ng_vlan&sektion=4&manpath=FreeBSD+4.10-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ng_vlan</span>(4)</span></a>
NetGraph node type, which supports IEEE 802.1Q VLAN tagging has been added.</p>
</div>

<div class="SECT3">
<hr />
<h4 class="SECT3"><a id="DISKS" name="DISKS">2.2.5 Disks and Storage</a></h4>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=amr&sektion=4&manpath=FreeBSD+4.10-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">amr</span>(4)</span></a> driver
now has system crashdump support.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=umass&sektion=4&manpath=FreeBSD+4.10-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">umass</span>(4)</span></a> driver
now supports the missing ATAPI MMC commands and handles the timeout properly.</p>
</div>

<div class="SECT3">
<hr />
<h4 class="SECT3"><a id="FS" name="FS">2.2.6 File Systems</a></h4>
</div>

<div class="SECT3">
<hr />
<h4 class="SECT3"><a id="PCCARD" name="PCCARD">2.2.7 PCCARD Support</a></h4>
</div>

<div class="SECT3">
<hr />
<h4 class="SECT3"><a id="MM" name="MM">2.2.8 Multimedia Support</a></h4>
</div>
</div>

<div class="SECT2">
<hr />
<h3 class="SECT2"><a id="USERLAND" name="USERLAND">2.3 Userland Changes</a></h3>

<p><a
href="http://www.FreeBSD.org/cgi/man.cgi?query=disklabel&sektion=8&manpath=FreeBSD+4.10-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">disklabel</span>(8)</span></a> now
supports a <var class="OPTION">-f</var> option to work on regular files which contain
disk images.</p>

<p><a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ifconfig&sektion=8&manpath=FreeBSD+4.10-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ifconfig</span>(8)</span></a> now
supports a <var class="OPTION">staticarp</var> option for an interface, which disables
the sending of ARP requests for that interface.</p>

<p><a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ifconfig&sektion=8&manpath=FreeBSD+4.10-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ifconfig</span>(8)</span></a> now
prints the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=polling&sektion=4&manpath=FreeBSD+4.10-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">polling</span>(4)</span></a>
status on the interface.</p>

<p><a
href="http://www.FreeBSD.org/cgi/man.cgi?query=killall&sektion=1&manpath=FreeBSD+4.10-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">killall</span>(1)</span></a> now
supports a <var class="OPTION">-e</var> flag to make the <var class="OPTION">-u</var>
operate on effective, rather than real, user IDs.</p>

<p>The default mode for the <tt class="FILENAME">lost+found</tt> directory of <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=fsck&sektion=8&manpath=FreeBSD+4.10-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">fsck</span>(8)</span></a> is now
<var class="LITERAL">0700</var> instead of <var class="LITERAL">01777</var>.</p>

<p>The <tt class="FILENAME">libalias</tt> library, <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=natd&sektion=8&manpath=FreeBSD+4.10-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">natd</span>(8)</span></a>, and <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ppp&sektion=8&manpath=FreeBSD+4.10-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ppp</span>(8)</span></a> now
support Cisco Skinny Station protocol, which is the protocol used by Cisco IP phones to
talk to Cisco Call Managers. Note that currently having the Call Manager behind the NAT
gateway is not supported.</p>

<p><a
href="http://www.FreeBSD.org/cgi/man.cgi?query=makewhatis&sektion=1&manpath=FreeBSD+4.10-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">makewhatis</span>(1)</span></a>,
formerly a Perl script, has been reimplemented in C.</p>

<p><a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ps&sektion=1&manpath=FreeBSD+4.10-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ps</span>(1)</span></a>
compatibility with POSIX/SUSv3 has been improved. The changes include <var
class="OPTION">-p</var> for a list of process IDs, <var class="OPTION">-t</var> for a
list of terminal names, <var class="OPTION">-A</var> which is equivalent to <var
class="OPTION">-ax</var>, <var class="OPTION">-G</var> for a list of group IDs, <var
class="OPTION">-X</var> which is the opposite of <var class="OPTION">-x</var>, and some
minor improvements. For more information, see <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ps&sektion=1&manpath=FreeBSD+4.10-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ps</span>(1)</span></a>.</p>

<p><a
href="http://www.FreeBSD.org/cgi/man.cgi?query=pw&sektion=8&manpath=FreeBSD+4.10-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">pw</span>(8)</span></a> now
supports a <var class="OPTION">-H</var> option, which accepts an encrypted password on a
file descriptor.</p>

<p><a
href="http://www.FreeBSD.org/cgi/man.cgi?query=rtld&sektion=1&manpath=FreeBSD+4.10-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">rtld</span>(1)</span></a> now has
support for the dynamic mapping of shared object dependencies. More information on using
this feature can be found in <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=libmap.conf&sektion=5&manpath=FreeBSD+4.10-RELEASE">
<span class="CITEREFENTRY"><span
class="REFENTRYTITLE">libmap.conf</span>(5)</span></a>.</p>

<p>&#13;</p>

<p>&#13;</p>

<p><a
href="http://www.FreeBSD.org/cgi/man.cgi?query=stat&sektion=1&manpath=FreeBSD+4.10-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">stat</span>(1)</span></a> from <b
class="APPLICATION">NetBSD</b>, as of 5 June 2002 has, been imported.</p>

<p><a
href="http://www.FreeBSD.org/cgi/man.cgi?query=which&sektion=1&manpath=FreeBSD+4.10-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">which</span>(1)</span></a>,
formerly a Perl script, has been reimplemented in C.</p>
</div>

<div class="SECT2">
<hr />
<h3 class="SECT2"><a id="CONTRIB" name="CONTRIB">2.4 Contributed Software</a></h3>

<p><b class="APPLICATION">BIND</b> has been updated from version 8.3.4 to version
8.3.7.</p>

<p><b class="APPLICATION">OpenSSL</b> has been updated from version 0.9.7c to version
0.9.7d.</p>

<p><b class="APPLICATION">sendmail</b> has been updated from version 8.12.9 to version
8.12.11.</p>
</div>

<div class="SECT2">
<hr />
<h3 class="SECT2"><a id="PORTS" name="PORTS">2.5 Ports/Packages Collection
Infrastructure</a></h3>

<p>The <var class="LITERAL">SIZE</var> attribute for distfiles, which can be used for
checking file sizes before fetching, has been added and enabled by default. <var
class="VARNAME">DISABLE_SIZE</var> is a user control knob to disable the distfile size
checking. This is especially useful on old FreeBSD versions which didn't have <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=fetch&sektion=1&manpath=FreeBSD+4.10-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">fetch</span>(1)</span></a> support
for this, and for some FTP proxies which always report incorrect or bogus sizes.</p>

<p>Two new files have been added to the ports tree to track note-worthy changes: <tt
class="FILENAME">ports/CHANGES</tt> lists major changes to the Ports Collection and its
infrastructure. <tt class="FILENAME">ports/UPDATING</tt> describes some potential
pitfalls that can be encountered when updating certain ports, analogous to <tt
class="FILENAME">src/UPDATING</tt> for the base system.</p>
</div>

<div class="SECT2">
<hr />
<h3 class="SECT2"><a id="RELENG" name="RELENG">2.6 Release Engineering and
Integration</a></h3>

<p>The supported release of <b class="APPLICATION">GNOME</b> has been updated from 2.4 to
2.6.</p>

<div class="NOTE">
<blockquote class="NOTE">
<p><b>Note:</b> If you are using the older <b class="APPLICATION">GNOME</b> desktop
itself (<a href="http://www.FreeBSD.org/cgi/url.cgi?ports/x11/gnome2/pkg-descr"><tt
class="FILENAME">x11/gnome2</tt></a>), simply upgrading it from the FreeBSD Ports
Collection with <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=portupgrade&sektion=1&manpath=FreeBSD+Ports">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">portupgrade</span>(1)</span></a>
(<a href="http://www.FreeBSD.org/cgi/url.cgi?ports/sysutils/portupgrade/pkg-descr"><tt
class="FILENAME">sysutils/portupgrade</tt></a>) will cause serious problems. If you are a
<b class="APPLICATION">GNOME</b> desktop user, please read the instructions carefully at
<a href="http://www.FreeBSD.org/gnome/docs/faq26.html"
target="_top">http://www.FreeBSD.org/gnome/docs/faq26.html</a>, and use the <tt
class="FILENAME">gnome_upgrade.sh</tt> script to properly upgrade to <b
class="APPLICATION">GNOME</b> 2.6.</p>

<p>Note that if you are just a casual user of some of the <b
class="APPLICATION">GNOME</b> libraries, <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=portupgrade&sektion=1&manpath=FreeBSD+Ports">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">portupgrade</span>(1)</span></a>
should be sufficient to update your ports.</p>
</blockquote>
</div>

<br />
<br />
<p>The supported release of <b class="APPLICATION">KDE</b> has been updated from 3.1.4 to
3.2.2.</p>
</div>
</div>

<div class="SECT1">
<hr />
<h2 class="SECT1"><a id="UPGRADE" name="UPGRADE">3 Upgrading from previous releases of
FreeBSD</a></h2>

<p>If you're upgrading from a previous release of FreeBSD, you generally will have three
options:</p>

<ul>
<li>
<p>Using the binary upgrade option of <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=sysinstall&sektion=8&manpath=FreeBSD+4.10-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">sysinstall</span>(8)</span></a>.
This option is perhaps the quickest, although it presumes that your installation of
FreeBSD uses no special compilation options.</p>
</li>

<li>
<p>Performing a complete reinstall of FreeBSD. Technically, this is not an upgrading
method, and in any case is usually less convenient than a binary upgrade, in that it
requires you to manually backup and restore the contents of <tt
class="FILENAME">/etc</tt>. However, it may be useful in cases where you want (or need)
to change the partitioning of your disks.</p>
</li>

<li>
<p>From source code in <tt class="FILENAME">/usr/src</tt>. This route is more flexible,
but requires more disk space, time, and technical expertise. More information can be
found in the <a
href="http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/makeworld.html"
target="_top">``Using <tt class="COMMAND">make world</tt>''</a> section of the <a
href="http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/" target="_top">FreeBSD
Handbook</a>. Upgrading from very old versions of FreeBSD may be problematic; in cases
like this, it is usually more effective to perform a binary upgrade or a complete
reinstall.</p>
</li>
</ul>

<br />
<br />
<p>Please read the <tt class="FILENAME">INSTALL.TXT</tt> file for more information,
preferably <span class="emphasis"><i class="EMPHASIS">before</i></span> beginning an
upgrade. If you are upgrading from source, please be sure to read <tt
class="FILENAME">/usr/src/UPDATING</tt> as well.</p>

<p>Finally, if you want to use one of various means to track the -STABLE or -CURRENT
branches of FreeBSD, please be sure to consult the <a
href="http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/current-stable.html"
target="_top">``-CURRENT vs. -STABLE''</a> section of the <a
href="http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/" target="_top">FreeBSD
Handbook</a>.</p>

<div class="IMPORTANT">
<blockquote class="IMPORTANT">
<p><b>Important:</b> Upgrading FreeBSD should, of course, only be attempted after backing
up <span class="emphasis"><i class="EMPHASIS">all</i></span> data and configuration
files.</p>
</blockquote>
</div>
</div>
</div>

<hr />
<p align="center"><small>This file, and other release-related documents, can be
downloaded from <a href="ftp://ftp.FreeBSD.org/">ftp://ftp.FreeBSD.org/</a>.</small></p>

<p align="center"><small>For questions about FreeBSD, read the <a
href="http://www.FreeBSD.org/docs.html">documentation</a> before contacting &#60;<a
href="mailto:questions@FreeBSD.org">questions@FreeBSD.org</a>&#62;.</small></p>

<p align="center"><small>For questions about this documentation, e-mail &#60;<a
href="mailto:doc@FreeBSD.org">doc@FreeBSD.org</a>&#62;.</small></p>

<br />
<br />
++++


